# -*- coding: utf-8 -*-

# Copyright (c) 2011 Christopher S. Case and David H. Bronke
# Licensed under the MIT license; see the LICENSE file for details.


class MessageTypes(object):
    values = ['None', 'Info', 'Warning', 'Critical']

    class __metaclass__(type):
        def __getattr__(self, name):
            return self.values.index(name)

    def nameOf(self, index):
        return self.values[index]


class Instances(object):
    gmain = None
    notifier = None
