#!/bin/env python
# -*- coding: utf-8 -*-

# Copyright (c) 2011 Christopher S. Case and David H. Bronke
# Licensed under the MIT license; see the LICENSE file for details.

import os

try:
    import pynotify
except:
    print "you don't seem to have pynotify installed"


info = {
    'totalTime': '5:08',
    'track': 'White Rabbit',
    'art': 'http://lh6.googleusercontent.com/9JI0aPLc9i5nvLWVsjTvEvwgROs69jSJ6JHgwuWeG7d-U_siLZJaQF5unvD2=s130-c',
    'curTime': '0:34',
    'artist': 'Emiliana Torrini'
}


messageString = "%s - %s (%s)" % (info['artist'],info['track'],info['totalTime'])


if pynotify.init("GMusic"):
    import urllib
    urllib.urlretrieve(info['art'], 'tmp.png')

    icon = 'file://' + os.path.abspath(os.path.join(os.path.dirname(__file__), "tmp.png"))

    print icon
    n = pynotify.Notification("Now Playing", messageString, icon)
    n.show()

else:
    print "there was a problem initializing the pynotify module"
